package bazy.podstawy;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class ProsteZapytanie1 {
	// JDBC - Java Database Connectivity
	// Programista w swoim kodzie używa ogólnych insterfejsów i operacji:
	// Connection, PreparedStatement, ResultSet, executeQuery...
	// natomiast ich implementacje są dostarczane w formie "sterowników" właściwych dla poszczególnych rodzajów baz danych.
	public static void main(String[] args) {
		try {
			Connection c = DriverManager.getConnection("jdbc:postgresql://localhost/hr", "kurs", "abc123");
			System.out.println("Udało się połączyć. Połączenie: " + c);
			
			
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
		// Connection c = new PGConnection();

	}

}
